<template>
  <AnalyticsCard
    :is-loading="isLoading"
    :title="title"
  >
    <div class="size-full p-4">
      <VectorMap
        :value="value"
        :label="label"
      />
    </div>
  </AnalyticsCard>
</template>

<script lang="ts" setup>
import { lowerCase } from "lodash-es";
import VectorMap from "@/js/contexts/shared/ui/components/maps/VectorMap.vue";
import AnalyticsCard from "@/js/contexts/shared/ui/components/analytics/AnalyticsCard.vue";

const props = defineProps<{
  isLoading: boolean;
  title: string;
  label: string;
  data: { label: string; value: number; percentage: number }[] | undefined;
}>();

const value = computed(() => props.data?.reduce((obj, item) => ({ ...obj, [lowerCase(item.label)]: { value: item.value, percentage: item.percentage } }), {}) ?? {});
</script>
